Bug 1048558 - Missing BuildRequires: qt5-qtxmlpatterns-devel
Summary: Missing BuildRequires: qt5-qtxmlpatterns-devel
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: qt5-qtdeclarative
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Than Ngo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-05 05:29 UTC by Tomas Miljenović (TomasM)
Modified: 2014-01-27 09:25 UTC (History)
7 users (show)

Fixed In Version: qt5-qtdeclarative-5.2.0-2.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-15 05:53:04 UTC
Type: Bug


Attachments (Terms of Use)

Description Tomas Miljenović (TomasM) 2014-01-05 05:29:22 UTC
Presently, declarative applications are unable to use XmlListModel. qt5-qtdeclarative needs to be build with headers for qt5-qtxmlpatterns installed for anything like 'import QtQuick.XmlListModel 2.0', etc to work.

Adding a
  BuildRequires: qt5-qtxmlpatterns-devel >= %{version}
and rebuilding works for me.

Comment 1 Fedora Update System 2014-01-06 16:29:10 UTC
qt5-qtdeclarative-5.2.0-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/qt5-qtdeclarative-5.2.0-2.fc19

Comment 2 Fedora Update System 2014-01-06 16:30:08 UTC
qt5-qtdeclarative-5.2.0-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/qt5-qtdeclarative-5.2.0-2.fc20

Comment 3 Fedora Update System 2014-01-07 09:45:02 UTC
Package qt5-qtdeclarative-5.2.0-2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing qt5-qtdeclarative-5.2.0-2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-0326/qt5-qtdeclarative-5.2.0-2.fc19
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2014-01-10 23:40:00 UTC
qt5-qtdeclarative-5.2.0-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/qt5-qtdeclarative-5.2.0-2.el6

Comment 5 Tomas Miljenović (TomasM) 2014-01-12 09:21:22 UTC
I seem to be having some troubles with bohdi - the update works great, and I've been using it without issue. Thanks!

Comment 6 Fedora Update System 2014-01-15 05:53:04 UTC
qt5-qtdeclarative-5.2.0-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2014-01-15 06:06:14 UTC
qt5-qtdeclarative-5.2.0-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2014-01-27 09:25:23 UTC
qt5-qtdeclarative-5.2.0-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.